#include<bits/stdc++.h>
using namespace std;
int c,T;
signed main()
{
	freopen("traverse.in","r",stdin);
	freopen("traverse.out","w",stdout);
	ios::sync_with_stdio(0);
	cin.tie(0),cout.tie(0);
	cout<<"I AK NOIp2024."<<endl;
	//My Luogu uid is 765763,I AK NOIp2024.
	//If you GuanZhu me,you will AK NOIp2024,too.
	return 0;
}
